Page MenuHomePhabricator

[NFC] Remove obsolete checks followed by fix of isGuaranteedToTransferExecutionToSuccessor
ClosedPublic

Authored by mkazantsev on Mar 27 2020, 4:39 AM.

Details

Summary

In past, isGuaranteedToTransferExecutionToSuccessor contained some weird logic
for volatile loads/stores that was ultimately removed by patch D65375. It's time to
remove a logic in other place that was supposed to work around about the deleted
logic.

Diff Detail

Event Timeline

mkazantsev created this revision.Mar 27 2020, 4:39 AM
mkazantsev retitled this revision from [NFC] Removed obsolete checks followed by fix of isGuaranteedToTransferExecutionToSuccessor to [NFC] Remove obsolete checks followed by fix of isGuaranteedToTransferExecutionToSuccessor.Mar 27 2020, 4:41 AM

This makes sense to me.

uenoku accepted this revision.Mar 28 2020, 7:58 AM
This revision is now accepted and ready to land.Mar 28 2020, 7:58 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 29 2020, 10:30 PM